<?php
include_once '../sys/inc/start.php';
include_once '../sys/inc/compress.php';
include_once '../sys/inc/sess.php';
include_once '../sys/inc/home.php';
include_once '../sys/inc/settings.php';
include_once '../sys/inc/db_connect.php';
include_once '../sys/inc/ipua.php';
include_once '../sys/inc/fnc.php';
include_once '../sys/inc/user.php';
only_reg();
$set['title']='Добавление акции';
include_once '../sys/inc/thead.php';
title();
aut();

if (isset($_GET['ok']) && isset($_POST['name']) && $_POST['name']!=NULL && isset($_POST['msg']))
{
$msg=mysql_real_escape_string($_POST['msg']);
$name=mysql_real_escape_string($_POST['name']);

if (strlen2($name)<3)$err='Короткое название';
if (strlen2($name)>50)$err='Длина названия превышает предел в 50 символов';
if (strlen2($msg)<3)$err='Короткий Текст';
if (strlen2($msg)>3000)$err='Длина текста превышает предел в 3000 символа';

$name = htmlspecialchars(trim($_POST['name']));
$msg = htmlspecialchars(trim($_POST['msg']));



mysql_query("INSERT INTO `stock` (`id_user`, `name`, `msg`, `time`) values('$user[id]', '$name', '$msg', '$time')");

msg('акция успешно создана');
}
err();


echo "<form class='menu' method='post' action='?ok'>\n";
echo "Название акции:<br />\n<input type=\"text\" name=\"name\" value=\"\" /><br />\n";

echo "Содержание акции: <br />";
echo "<textarea name=\"msg\"></textarea><br />";



echo "<input value=\"Добавить акцию\" type=\"submit\" />\n";
echo "</form>\n";

echo"<div class='foot'>\n";
echo"<a href='index.php'>Акции</a><br />\n";
echo"</div>\n";

include_once '../sys/inc/tfoot.php';

?>